Subject: Re: [PATCH net-next v4 1/2] inet: Add IP_LOCAL_PORT_RANGE socket option

From: Jakub Kicinski <[email-masked]>
Date: Mon, 23 Jan 2023 19:35:26 -0800

On Mon, 23 Jan 2023 21:48:06 +0100 Jakub Sitnicki wrote:
> >> v1 -> v2:
> >>  * Fix the corner case when the per-socket range doesn't overlap with the
> >>    per-netns range. Fallback correctly to the per-netns range. (Kuniyuki)  
> >
> > Please put changelog after "---" trailer, so it will be stripped while
> > applying patch.  
> 
> I've put the changelog above the "---" on purpose. AFAIK, it is (was?)
> preferred by netdev maintainers to keep the changelog in the
> description.
> 
> Do you know if this convention is now a thing of the past? I might have
> missed something.

It used to be, the jury is still out on which way is better.
When Paolo/I apply the patch we add a lore link, so the changelog 
can be found easily even if it's cut off from git history.
OTOH DaveM/Linus are not fans of slapping the lore links on every 
single patch, so DaveM may still prefer the changelog above ---.
Sorry, that's not very helpful, you're both right in a way.